module SticapiClient
  class Intranet
    def self.tipo_usuario(username)
      Sticapi::SticapiClient.instance.sticapi_request('/intranet/tipo_usuario', username: username)
    end

    def self.pessoa_info(cpf)
      Sticapi::SticapiClient.instance.sticapi_request('/intranet/pessoa_info', cpf: cpf)
    end
    
    def self.prazo(inicio: Date.today, prazo: 15, ibge: '2211001')
      Sticapi::SticapiClient.instance.sticapi_request('/intranet/prazo', inicio: inicio, prazo: prazo, ibge: ibge)
    end

    def self.prazo_anterior(inicio: Date.today, prazo: 15, ibge: '2211001')
      Sticapi::SticapiClient.instance.sticapi_request('/intranet/prazo_anterior', inicio: inicio, prazo: prazo, ibge: ibge)
    end

    def self.dias_uteis(inicio: Date.today, fim: Date.tomorrow, ibge: '2211001')
      Sticapi::SticapiClient.instance.sticapi_request('/intranet/dias_uteis', inicio: inicio, fim: fim, ibge: ibge)
    end

    def self.feriados(inicio: Date.today, fim: 1.month.after, ibge: '2211001')
      Sticapi::SticapiClient.instance.sticapi_request('/intranet/feriados', inicio: inicio, fim: fim, ibge: ibge)
    end
  end
end
