module SticapiClient
  class Diario
    def self.list(q = {}, page = 1)
      Sticapi::SticapiClient.instance.sticapi_request("/diarios", q: q, kind: 'get', page: page)
    end

    def self.show(id, legacy = false)
      Sticapi::SticapiClient.instance.sticapi_request("/diarios/#{id}", legacy: legacy, kind: 'get')
    end

    def self.materias(id, page)
      Sticapi::SticapiClient.instance.sticapi_request("/diarios/#{id}/materias", page: page, kind: 'get')
    end
  end
end
